Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06691 Graphics Minor Always Sep 30, 2017, 20:08 Oct 10, 2017, 08:25
Tester rcoltrane View Status Public Platform MAME (Official Binary)
Assigned To Lord Nightmare Resolution Fixed OS Windows 10 (64-bit)
Status [?] Resolved Driver
Version 0.190 Fixed in Version 0.191 Build 64-bit
Summary 06691: tokio and clones: Tokio - graphic glitches on the right side of the screen
Description When starting a new game, or in the atract mode, some graphic glitches appear on the right side of the screen.
Steps To Reproduce Just start the game and wait for the attract mode to play the game, or start a new game.
Additional Information
Flags
Regression Version 0.189
Affected Sets / Systems tokio and clones
Attached Files
png file icon 0002.png (9,101 bytes) Sep 30, 2017, 23:48 Uploaded by Fortuna
Fortuna
Relationships
There are no relationsihp linked to this issue.
Notes
2
User avatar
No.14199
Tafoid
Administrator
Sep 30, 2017, 23:46
Regression testing appears to show changes made on August 6, 2017 to be the cause.
https://github.com/mamedev/mame/commit/fbe8e518392bbf262b2c185c06c6896bd0841446
User avatar
No.14201
Haze
Senior Tester
Oct 1, 2017, 10:14
the game now triggers lots of partial updates, clearly either the scroll values or tile data isn't valid at these points.

either the hardware should latch the scroll values / buffer the tile data at the start / end of a frame, or the timing is very, very wrong